{ config, lib, pkgs, ... }:

let
  sources = import ../../../nix/sources.nix;
in

let
  haccearth = pkgs.stdenv.mkDerivation {
    name = "hacc.earth-website";
    src = sources.haccearth-website.outPath.outPath;
    buildPhase = ''
      ${pkgs.jekyll.outPath}/bin/jekyll build
    '';
    installPhase = ''
      mkdir -p $out
      cp -r _site/* $out
    '';
  };
  infra4futurede = pkgs.stdenv.mkDerivation {
    name = "infra4future.de-website";
    src = sources.infra4future-website.outPath.outPath;
    buildPhase = ''
      ${pkgs.jekyll.outPath}/bin/jekyll build
    '';
    installPhase = ''
      mkdir -p $out
      cp -r _site/* $out
    '';
  };
in
{
  services.nginx.virtualHosts."hacc.earth" = {
      forceSSL = true;
      enableACME = true;
      root = haccearth.outPath;
    };

  services.nginx.virtualHosts."infra4future.de" = {
      forceSSL = true;
      enableACME = true;
      root = infra4futurede.outPath;
    };
}
